# Uses of Class
com.fasterxml.jackson.core.json.JsonReadContext

Packages that use JsonReadContext
Package
Description
com.fasterxml.jackson.core.base
Base classes used by concrete Parser and Generator implementations; contain functionality that is not specific to JSON or input abstraction (byte vs char).
com.fasterxml.jackson.core.json
JSON-specific parser and generator implementation classes that Jackson defines and uses.

## Uses of JsonReadContext in com.fasterxml.jackson.core.base

Fields in com.fasterxml.jackson.core.base declared as JsonReadContext
Modifier and Type
Field
Description
`protected JsonReadContext`
ParserBase.`_parsingContext`
Information about parser context, context in which the next token is to be parsed (root, array, object).
Methods in com.fasterxml.jackson.core.base that return JsonReadContext
Modifier and Type
Method
Description
`JsonReadContext`
ParserBase.`getParsingContext()`

## Uses of JsonReadContext in com.fasterxml.jackson.core.json

Fields in com.fasterxml.jackson.core.json declared as JsonReadContext
Modifier and Type
Field
Description
`protected JsonReadContext`
JsonReadContext.`_child`
`protected final JsonReadContext`
JsonReadContext.`_parent`
Parent context for this context; null for root context.
Methods in com.fasterxml.jackson.core.json that return JsonReadContext
Modifier and Type
Method
Description
`JsonReadContext`
JsonReadContext.`clearAndGetParent()`
Method that can be used to both clear the accumulated references (specifically value set with `setCurrentValue(Object)`) that should not be retained, and returns parent (as would `getParent()` do).
`JsonReadContext`
JsonReadContext.`createChildArrayContext(int lineNr, int colNr)`
`JsonReadContext`
JsonReadContext.`createChildObjectContext(int lineNr, int colNr)`
`static JsonReadContext`
JsonReadContext.`createRootContext(int lineNr, int colNr, DupDetector dups)`
`static JsonReadContext`
JsonReadContext.`createRootContext(DupDetector dups)`
`JsonReadContext`
JsonReadContext.`getParent()`
`JsonReadContext`
JsonReadContext.`withDupDetector(DupDetector dups)`
Constructors in com.fasterxml.jackson.core.json with parameters of type JsonReadContext
Modifier
Constructor
Description
``
`JsonReadContext(JsonReadContext parent, int nestingDepth, DupDetector dups, int type, int lineNr, int colNr)`
``
`JsonReadContext(JsonReadContext parent, DupDetector dups, int type, int lineNr, int colNr)`
Deprecated.